# ``tree`::node_iterator` Interface

Node iterator.

This is an iterator to an iterator - it iterates over nodes, and de-referencing it returns one of the tree's iterators

## Base Classes

Class | Derivation Type
    tree::const_node_iterator
| public

## Public Methods

### Constructors, Destructor, and Related

Method | Description
    inline
      node_iterator
      ()
| Default constructor.

### Access Methods

Method | Description
    inline container_base::iterator
      operator*
      () const
| Access.

### Movement Methods

Method | Description
    inline node_iterator
      get_l_child
      () const
| Returns the node iterator associated with the left node.
    inline node_iterator
      get_r_child
      () const
| Returns the node iterator associated with the right node.